%define name 	hyperestraier
%define version 1.4.9
%define release %mkrel 1

%define qdbm_version 1.8.77
%define major 8
%define libname_orig lib%{name}
%define libname %mklibname %{name} %{major}

Summary:	A full-text search system for communities
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group:		Text tools
License:	LGPL
URL:		http://hyperestraier.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		hyperestraier-1.4.9-fixconfigure.patch
BuildRequires:	autoconf2.5
BuildRequires:	libtool
BuildRequires:	libqdbm-devel >= %{qdbm_version}
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
BuildConflicts:	%{libname}-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Hyper Estraier is a full-text search system. You can search lots of documents
for some documents including specified words. If you run a web site, it is
useful as your own search engine for pages in your site. Also, it is useful as
search utilities of mail boxes and file servers.

%package	cgi
Summary:	Hyperestraier CGI programs
Group:		System/Servers
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= 2.2.0
Requires(pre):  apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
Requires:	%{name} = %{version}

%description	cgi
Hyper Estraier is a full-text search system. You can search lots of documents
for some documents including specified words. If you run a web site, it is
useful as your own search engine for pages in your site. Also, it is useful as
search utilities of mail boxes and file servers.

This package contains the CGI programs for Hyperestraier

%package -n	%{libname}
Summary:	Hyperestraier library
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
Hyper Estraier is a full-text search system. You can search lots of documents
for some documents including specified words. If you run a web site, it is
useful as your own search engine for pages in your site. Also, it is useful as
search utilities of mail boxes and file servers.

This package contains the Hyperestraier shared library.

%package -n	%{libname}-devel
Summary:	Headers of %{name} for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Hyper Estraier is a full-text search system. You can search lots of documents
for some documents including specified words. If you run a web site, it is
useful as your own search engine for pages in your site. Also, it is useful as
search utilities of mail boxes and file servers.

This package contains the Hyperestraier static library and its header files.

%prep

%setup -q
%patch0 -p1 -b .fixconfigure

%build
aclocal
%configure2_5x \
    --disable-mecab \
    --enable-zlib \
    --disable-lzo \
    --enable-bzip \
    --libexecdir=/var/www/cgi-bin

# (oe) zeroing out LDENV="" RUNENV="" prevents rpath to be compiled in, but can cause binaries
# to be built against old installed libs, hence the BuildConflicts: %{libname}-devel

%make CFLAGS="%{optflags} -fPIC" LDENV="" RUNENV=""

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

mv %{buildroot}%{_bindir}/estconfig %{buildroot}%{_bindir}/est-config

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
cat > apache-hyperestraier.conf << EOF

<LocationMatch "^/cgi-bin/est(seek|fraud|proxy).cgi">
    Options ExecCGI FollowSymlinks
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
    ErrorDocument 403 "Access denied per %{_sysconfdir}/httpd/conf/webapps.d/hyperestraier.conf"
</LocationMatch>

EOF
install -m0644 apache-hyperestraier.conf %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/hyperestraier.conf

install -d %{buildroot}%{_sysconfdir}/%{name}
install -m0644 estfraud.conf %{buildroot}%{_sysconfdir}/%{name}/
install -m0644 estproxy.conf %{buildroot}%{_sysconfdir}/%{name}/
install -m0644 estseek.conf %{buildroot}%{_sysconfdir}/%{name}/
install -m0644 estseek.tmpl %{buildroot}%{_sysconfdir}/%{name}/
install -m0644 estseek.top %{buildroot}%{_sysconfdir}/%{name}/

pushd %{buildroot}/var/www/cgi-bin
    ln -s %{_sysconfdir}/%{name}/estfraud.conf estfraud.conf
    ln -s %{_sysconfdir}/%{name}/estproxy.conf estproxy.conf
    ln -s %{_sysconfdir}/%{name}/estseek.conf estseek.conf
    ln -s %{_sysconfdir}/%{name}/estseek.tmpl estseek.tmpl
    ln -s %{_sysconfdir}/%{name}/estseek.top estseek.top
popd

# remove docs (they should be installed by %doc)
rm -rf %{buildroot}%{_datadir}/hyperestraier/doc/
rm -f %{buildroot}%{_datadir}/hyperestraier/{COPYING,ChangeLog,THANKS}
rm -f %{buildroot}%{_libdir}/*.*cgi

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post cgi
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun cgi
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README THANKS
%doc doc/*
%{_bindir}/estcall
%{_bindir}/estcmd
%{_bindir}/estload
%{_bindir}/estmaster
%{_bindir}/estmttest
%{_bindir}/estwolefind
%{_bindir}/estwaver
%{_bindir}/estbutler
%{_datadir}/hyperestraier/est*
%{_datadir}/hyperestraier/filter/*
%{_datadir}/hyperestraier/increm/*
%{_datadir}/hyperestraier/locale/*/*
%{_mandir}/man1/*

%files cgi
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/hyperestraier.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/estfraud.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/estproxy.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/estseek.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/estseek.tmpl
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/estseek.top
/var/www/cgi-bin/estseek.cgi
/var/www/cgi-bin/estfraud.cgi
/var/www/cgi-bin/estproxy.cgi
/var/www/cgi-bin/estfraud.conf
/var/www/cgi-bin/estproxy.conf
/var/www/cgi-bin/estseek.conf
/var/www/cgi-bin/estseek.tmpl
/var/www/cgi-bin/estseek.top

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/est-config
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*




%changelog
* Fri Jun 06 2008 don_crissti <don_crissti@gmx.com> 1.4.9-1pclos2007
+ build for PCLinuxOS
- added patch0 and aclocal (to the build section)

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.4.9-2mdv2008.1
+ Revision: 140755
- restore BuildRoot

 